Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	realtime computer vision library
Name:		opencv
Version:	2.2.0
Release:	1
Epoch:		1
License:	GNU/GPL
URL:		http://opencvlibrary.sourceforge.net
Group:		Multimedia/Graphics
Source0: 	OpenCV-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: which
BuildRequires: cmake
BuildRequires: python26-devel
BuildRequires: libucil-devel
BuildRequires: python26-numpy
BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: ffmpeg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: jasper-devel
BuildRequires: libdc1394-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libunicap-devel
BuildRequires: libv4l-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: tbb-devel
BuildRequires: xine-lib-devel
BuildRequires: zlib-devel

%description
OpenCV (Open Source Computer Vision) is a library of programming functions mainly aimed at real time computer vision.

Example applications of the OpenCV library are Human-Computer Interaction (HCI); Object Identification, Segmentation and Recognition; 
Face Recognition; Gesture Recognition; Motion Tracking, Ego Motion, Motion Understanding; Structure From Motion (SFM); and Mobile Robotics. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{epoch}:%{version}-%{release} pkg-config

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n OpenCV-%{version}

%build
mkdir build
pushd build
	cmake ../. -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DWITH_XINE=ON -DWITH_TBB=ON -DWITH_UNICAP=ON
	make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd build
	make DESTDIR=%{buildroot} install
popd

%files
%defattr(-, root, root)
%{_bindir}/opencv_createsamples
%{_bindir}/opencv_haartraining
%{_bindir}/opencv_performance
%{_bindir}/opencv_traincascade
%{_libdir}/libopencv_calib3d.so.*
%{_libdir}/libopencv_contrib.so.*
%{_libdir}/libopencv_core.so.*
%{_libdir}/libopencv_features2d.so.*
%{_libdir}/libopencv_flann.so.*
%{_libdir}/libopencv_gpu.so.*
%{_libdir}/libopencv_highgui.so.*
%{_libdir}/libopencv_imgproc.so.*
%{_libdir}/libopencv_legacy.so.*
%{_libdir}/libopencv_ml.so.*
%{_libdir}/libopencv_objdetect.so.*
%{_libdir}/libopencv_video.so.*
%{_datadir}/opencv/haarcascades
%{_datadir}/opencv/lbpcascades/lbpcascade_frontalface.xml
%{_datadir}/opencv/OpenCVConfig.cmake

%files devel
%defattr(-, root, root)
%{_includedir}/opencv
%{_includedir}/opencv2
%{_libdir}/libopencv_calib3d.so
%{_libdir}/libopencv_contrib.so
%{_libdir}/libopencv_core.so
%{_libdir}/libopencv_features2d.so
%{_libdir}/libopencv_flann.so
%{_libdir}/libopencv_gpu.so
%{_libdir}/libopencv_highgui.so
%{_libdir}/libopencv_imgproc.so
%{_libdir}/libopencv_legacy.so
%{_libdir}/libopencv_ml.so
%{_libdir}/libopencv_objdetect.so
%{_libdir}/libopencv_video.so
%{_pkgconfig}/opencv.pc
%{_libdir}/python2.6/site-packages/cv.so
%{_datadir}/opencv/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1-3
- rebuilt against libjpeg 7
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 1.1-2
- rebuild with explicit /usr/bin/python2.5
* Fri Nov 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1-1
- Initial CCux package release
- pre1
